## $Id: viewlets.py 11599 2014-04-24 06:17:10Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import grok
from waeup.kofa.browser.viewlets import ManageActionButton
from waeup.kofa.applicants.viewlets import PDFActionButton
from waeup.uniben.applicants.interfaces import ICustomApplicant
from waeup.uniben.interfaces import MessageFactory as _

class CustomPDFActionButton(PDFActionButton):

    @property
    def target_url(self):
        """Get a URL to the target...
        """
        if self.context.state in ('initialized', 'started', 'paid') \
            or self.context.special:
            return
        if self.context.state == 'admitted' and \
            not self.context.admchecking_fee_paid():
            return
        return self.view.url(self.view.context, self.target)

class ScreeningInvitationSlipActionButton(ManageActionButton):
    grok.order(4)
    grok.context(ICustomApplicant)
    grok.require('waeup.viewApplication')
    icon = 'actionicon_pdf.png'
    text = _('Download screening invitation slip')
    target = 'screening_invitation_slip.pdf'

    @property
    def target_url(self):
        if self.context.screening_date:
            return self.view.url(self.view.context, self.target)
        return False